'

Public Class RenderingMethod
    Public Const GridRendering As String = "DataGrid"
    Public Const UserdefinedXSL As String = "XslUserDefinedStyleSheet"
    Public Const PredefinedXSL As String = "XslPreDefinedStyleSheet"
End Class

Public Class Definition
    Public Const NameOfAnonymousUser As String = "Anonymous"
    Public Const PathOfModule As String = "/DesktopModules/UserDefinedTable/"
    Public Const ModuleDefinitionFriendlyName As String = "Forms & Lists"
    Public Const ModuleName As String = "DNN_UserDefinedTable"
    Public Const QueryStringParameter As String = "udt_{0}_param"
    Public Const XSLFolderName As String = "XslStyleSheets"
    Public Const TemplateFolderName As String = "ModuleApplications"
    Public Const RadioButtonEnabledToken As String = "-[[O]]"
    'Public Const SharedRessources As String = "~" & PathOfModule & Localization.LocalResourceDirectory & "/SharedRescources.resx"
End Class

Public Class PermissionName
    Public Const HasEditRowPermission As String = "ROWEDIT"
    Public Const HasDeleteRowPermission As String = "ROWDELETE"
    Public Const HasAddRowPermission As String = "ROWADD"
    Public Const ShowAllUserDefinedColumnsPermission As String = "COLUMNVISIBLE"
    Public Const HasAccessToPrivateColumns As String = "PRIVATECOLUMNS"
    Public Const Code As String = "UDTEDIT"
End Class

Public Class DataSetTableName
    Public Const Fields As String = "Fields"
    Public Const Data As String = "Data"
    Public Const Settings As String = "Settings"
    Public Const TabSettings As String = "TabSettings"
    Public Const Stylesheets As String = "XSL"
End Class

Public Class FieldsTableColumn
    Public Const Id As String = "UserDefinedFieldId"
    Public Const Title As String = "FieldTitle"
    Public Const Required As String = "Required"
    Public Const Type As String = "FieldType"
    Public Const HelpText As String = "HelpText"
    Public Const [Default] As String = "Default"
    Public Const Visible As String = "Visible"
    Public Const ShowOnEdit As String = "ShowOnEdit"
    Public Const ValueColumn As String = "ValueColumn"
    Public Const SortColumn As String = "SortColumn"
    Public Const Order As String = "FieldOrder"
    Public Const Searchable As String = "Searchable"
    Public Const IsPrivate As String = "PrivateField"
    Public Const InputSettings As String = "InputSettings"
    Public Const OutputSettings As String = "OutputSettings"
    Public Const NormalizeFlag As String = "NormalizeFlag"
    Public Const ValidationMessage As String = "ValidationMessage"
    Public Const ValidationRule As String = "ValidationRule"
End Class

Public Class DataTypeNames
    Public Const UDT_DataType_CreatedBy As String = "CreatedBy"
    Public Const UDT_DataType_CreatedAt As String = "CreatedAt"
    Public Const UDT_DataType_ChangedBy As String = "ChangedBy"
    Public Const UDT_DataType_ChangedAt As String = "ChangedAt"
    Public Const UDT_DataType_String As String = "String"
End Class

Public Class DataTableColumn
    Public Const EditLink As String = "EditLink"
    Public Const Value As String = "FieldValue"
    Public Const RowId As String = "UserDefinedRowId"
    Public Const Appendix_Prefix As String = "_UDT_"
    Public Const Appendix_Url As String = Appendix_Prefix & "Url"
    Public Const Appendix_Ticks As String = Appendix_Prefix & "Ticks"
    Public Const Appendix_Original As String = Appendix_Prefix & "Original"
    Public Const Appendix_LocalizedValue As String = Appendix_Prefix & "Value"
    Public Const Appendix_Caption As String = Appendix_Prefix & "Caption"

End Class

Public Class SettingsTableColumn
    Public Const Value As String = "Value"
    Public Const Setting As String = "Setting"
End Class

Public Class StylesheetTableColumn
    Public Const NameOfSetting As String = "Type"
    Public Const LocalFilePath As String = "LocalFilePath"
    Public Const Stylesheet As String = "Stylesheet"
End Class

Public Class SettingName
    Public Const UsedCssClasses As String = "UDT_UsedCssClasses"
    Public Const ImageWidth As String = "UDT_ImageWidth"
    Public Const ImageHeight As String = "UDT_ImageHeight"
    Public Const Paging As String = "UDT_Paging"
    Public Const RenderingMethod As String = "UDT_RenderingMethod"
    Public Const SortField As String = "UDT_SortField"
    Public Const SortOrder As String = "UDT_SortOrder"
    Public Const URLNewWindow As String = "UDT_URLNewWindow"
    Public Const UserLinkNewWindow As String = "UDT_UserLinkNewWindow"
    Public Const UserLinkCaption As String = "UDT_UserLinkUserName"
    Public Const CnCLink As String = "UDT_CnCLink"
    Public Const XslPreDefinedStyleSheet As String = "UDT_XslPreDefinedStyleSheet"
    Public Const XslUserDefinedStyleSheet As String = "UDT_XslUserDefinedStyleSheet"
    Public Const ShowSearchTextBox As String = "UDT_ShowSearchTextBox"
    Public Const ShowNoRecordsUntilSearch As String = "UDT_ShowNoRecordsUntilSearch"
    Public Const SimpleSearch As String = "UDT_SimpleSearch"
    Public Const URLSearch As String = "UDT_URLSearch"
    Public Const UseButtons As String = "UDT_UseButtons"
    Public Const ForceCaptchaForAnonymous As String = "UDT_ForceCaptchaForAnonymous"
    Public Const ForceInputFiltering As String = "UDT_ForceFiltering"
    Public Const EditOnlyOwnItems As String = "UDT_EditOnlyOwnItems"
    Public Const UserRecordQuota As String = "UDT_UserRecordQuota"
    Public Const Filter As String = "UDT_Filter"
    Public Const Search As String = "UDT_Search"
    Public Const ListOrForm As String = "UDT_ListNotFormsMode"
    Public Const SubmissionText As String = "UDT_Submission_succeeded"
    Public Const TrackingEnabled As String = "UDT_EnableTracking"
    Public Const TrackingEmailTo As String = "UDT_TokenTracking"
    Public Const TrackingScript As String = "UDT_XslTracking"
    Public Const TrackingSubject As String = "UDT_TrackingSubject"
    Public Const TrackingTriggerOnNew As String = "UDT_TriggerOnNew"
    Public Const TrackingTriggerOnUpdate As String = "UDT_TriggerOnUpdate"
    Public Const TrackingTriggerOnDelete As String = "UDT_TriggerOnDelete"
    Public Const TrackingMessage As String = "UDT_TrackingMessage"
    Public Const EditPrivateColumnsForAdmins As String = "UDT_EditPrivateColumnsForAdmins"
    Public Const ShowAllColumnsForAdmins As String = "UDT_ShowAllColumnsForAdmins"
    Public Const TableFreeEditForm As String = "UDT_TableFreeEditForm"
    Public Const TopCount As String = "UDT_TopCount"
    Public Const ControlFullWidth As String = "UDT_ControlFullWidth"
    Public Const ForceDownload As String = "UDT_ForceDownload"
End Class

